// package_A/pages/exchange-success/index.js
import {wgs84togcj02} from '../../../utils/util.js'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        storeDetail: {}
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if(options.data) {
            let storeDetail = this.data.storeDetail
            storeDetail = JSON.parse(decodeURIComponent(options.data))
            this.setData({storeDetail})
        }
    },

    navigateTo(){
        const {longitude,latitude} = this.data.storeDetail
        let coordinate=wgs84togcj02([longitude,latitude])
        wx.openLocation({
            latitude: parseFloat(coordinate[1]), // 纬度，范围为-90~90，负数表示南纬
            longitude: parseFloat(coordinate[0]), // 经度，范围为-180~180，负数表示西经
            scale: 17, // 缩放比例
        })
    }
})